[Bug 672190] Re: package bind9 1:9.7.0.dfsg.P1-1 [modified: usr/share/bind9/bind9-default.md5sum] failed to install/upgrade: subprocess installed post-installation script returned error exit status 1

Clint Byrum clint at fewbar.com
Sun Nov 7 16:54:47 GMT 2010


Hello anoop, thank you for taking the time to file this bug report and
help us make Ubuntu better.

This error:

 * Starting domain name service... bind9        /usr/sbin/named: /usr/local/lib/liblber-2.4.so.2: no version information available (required by /usr/lib/libldap_r-2.4.so.2)
/usr/sbin/named: relocation error: /usr/lib/libldap_r-2.4.so.2: symbol ber_sockbuf_io_udp, version OPENLDAP_2.4_2 not defined in file liblber-2.4.so.2 with link time reference

Tells me that you are linking against local libraries. Its going to be
hard for us to reproduce that without a copy of your libraries and/or
build scripts.

My guess if you've added /usr/local/lib to your LD_LIBRARY_PATH or
/etc/ld.so.conf* somewhere, and there are two liblber-2.4.so.2 that are
not entirely compatible.

Unfortunately, given the extreme difficulty in reproducing this, I don't
think this is going to be acceptable as a bug report.

Closing as Invalid.

** Changed in: bind9 (Ubuntu)
       Status: New => Invalid

-- 
package bind9 1:9.7.0.dfsg.P1-1 [modified: usr/share/bind9/bind9-default.md5sum] failed to install/upgrade: subprocess installed post-installation script returned error exit status 1
https://bugs.launchpad.net/bugs/672190
You received this bug notification because you are a member of Ubuntu
Server Team, which is subscribed to bind9 in ubuntu.



More information about the Ubuntu-server-bugs mailing list